﻿local addonName, QD = ...; -- gets addon-local variables

--if QD.LOCALIZATION == nil then

    QD.LOCALIZATION = {
        -- universal
        CHARNAME = "Character",
        GROUPNAME = "Group",

        -- FairLanguage System
        info = {
            MSG_LOADED = "loaded",
            MSG_ACTIVE = "activated",
            MSG_DEACTIVE = "deactivated",

            MSG_COLORED = "is highlighted",
            MSG_CHANGE_GROUP = "now belongs to",

            MSG_COMMANDERROR = "Wrong chat command. List possible chat commands with",
            MSG_NOT_FOUND_CHARACTER = "Character not found",

            MSG_REMOVED_VI = "removed",
            MSG_RESET_COLOR = "removed color",
            MSG_RESET_GROUP = "removed group",
            MSG_CHARREMOVEALL = "Characters completely cleared",
            MSG_GROUPCLEAR = "cleared",
            MSG_GROUPREMOVEALL = "Groups completely cleared",

            MSG_ACTIVENAME = "colors names",
            MSG_ACTIVELINE = "colors chat lines",
            MSG_INACTIVENAME = "no longer colors names",
            MSG_INACTIVELINE = "no longer colors names",

            MSG_TEXTDECO = "highlights text with",
            MSG_PRIORITY = "Priority set to",
        },

        dialogcolors = {
            TITLE = "QuiDicit Color Management",
            CHARNAME = "Character",
            GROUPNAME = "Group",
            -- COLORINDIVIDUAL = "individual coloring",
            -- COLORGROUP = "group coloring",
            LIGHT = "Light",
            HEX = "RGB (hex)",
            OK = "OK",
            CANCEL = "Cancel",
        },

        menu = {
            MENU_GROUP = "Group",
            MENU_GROUPNEW = "New Group",
            MENU_GROUPCREATE = "Create group",
            MENU_GROUPCOLOR = "Color group",
            MENU_GROUPCLEAR = "Clear group",
            MENU_GROUPDELETE = "Delete group",

            MENU_TARGET = "Target",
            MENU_CHAR = "Character",
            MENU_CHARCOLOR = "Color character",
            MENU_CHARGROUP = "Group character",
            MENU_CHARUNCOLOR = "Uncolor character",
            MENU_CHARUNGROUP = "Ungroup character",
            MENU_CHARDELETE = "Delete character",

            MENU_OPTIONS = "Options",
            MENU_ONOFF = "",
            MENU_ONOFFCOLORNAME = "Name coloring",
            MENU_ONOFFCOLORLINE = "Line coloring",
            MENU_SHOWCOLORS = "Show color setting",
            MENU_CHANNELS = "Channels",
        },

        -- Slash commands
        help = {
            MSG_CMD = "Chat commands",
            MSG_HELP = "prints the possible arguments",
            MSG_ACTIVATE = "activates",
            MSG_DEACTIVATE = "deactivates",
            MSG_SHOWCONFIG = "shows the configuration",
            MSG_SHOWCOLORS = "shows the set colors",
            MSG_COLORNAMES = "colors the name in the chat line",
            MSG_COLORLINES = "colors the complete chat line",
            MSG_CHANNELS = "activates/deactivates a channel for QuiDicit",
            MSG_PRETEXT = "sets a text int front of the name",
            MSG_POSTTEXT = "sets a text behind the name",
            MSG_PRIORITY = "sets the coloring priority to individual or group",
            MSG_USERCOLOR = "sets an indidivual color for a character",
            MSG_USERGROUP = "sets a group for a character",
            MSG_REM_CHARCOLOR = "removes the individual color from a character",
            MSG_REM_CHARGROUP = "removes a group from a character",
            MSG_REM_CHAR = "removes a character",
            MSG_CHARREMOVEALL = "removes ALL characters",
            MSG_GROUPCOLOR = "sets the color of a group",
            MSG_REM_GROUP = "removes a group",
            MSG_GROUPREMOVEALL = "removes ALL groups",
        },
    };

--end